#include<bits/stdc++.h>
using namespace std;
struct frilanser{
    double a;
    double p;
};
bool comp(frilanser f1, frilanser f2){
    return f1.p>f2.p;
}
int main()
{
    int n;
    cin>>n;
    frilanser f[n];
    double rez;
    for(int i=0; i<n; i++){
        cin>>f[i].a>>f[i].p;
    }
    sort(f, f+n, comp);
    rez=f[0].a*f[0].p/100.0000;
    for(int i=1; i<n; i++){
        rez=max(rez, (rez/f[i-1].p*100.0000+f[i].a)*f[i].p/100.0000);
    }
    cout<<fixed<<showpoint<<setprecision(4)<<rez<<"\n";
    return 0;
}